<template>

<div>
    <button
        v-on:click="opening = true"
        class="
        btn-orange
        w-full
    ">
        {{ $t('information') }}
    </button>

    <OverlayBase
        v-if="opening === true"
        v-bind:title="$t('information')"
        full="true"
        v-on:keyup.enter="opening = false"
    >
        <div class="h-full max-w-2xl w-full">
            <hr class="
                border-2
                dark:border-cgray-800
                mb-4
            ">
            <Column
                name="project"
                v-bind:object="project.information"
            />
            <Column
                name="report"
                v-bind:object="project.reports.current.information"
            />
            <Column
                name="platform"
                v-bind:object="project.informationPlatform"
            />
            <button
                v-on:click="opening = false"
                class="
                btn-red
                my-4
            ">
                {{ this.$t('close') }}
            </button>
        </div>
    </OverlayBase>
</div>

</template>

<script lang='ts'>

import { Component, Vue } from 'vue-property-decorator';
import { State } from 'vuex-class';

import DropdownBase from '@/components/DropdownBase.vue';
import OverlayBase from '@/components/OverlayBase.vue';

import { Project } from '@/ts/project';

import Column from './components/Column.vue';

@Component({
    components: {
        Column,
        DropdownBase,
        OverlayBase,
    },
})
export default class C extends Vue {
    @State('project')
    private project!: Project;

    private opening: boolean = false;
}

</script>
